#!/usr/bin/env node
'use strict';

/* global process */

var input = '';

process.stdin.setEncoding('utf8');

process.stdin.on('data', function (data) {
  input += data;
});

process.stdin.on('end', function () {
  var config = void 0;
  try {
    config = JSON.parse(input);
  } catch (err) {
    process.stderr.write('Failed to parse "' + input + '" to JSON.');
    process.exit(1);
  }
  if (!config.Environment || !config.Environment.Variables) {
    process.stderr.write('Missing environment.');
    process.exit(2);
  }
  var env = Object.assign(config.Environment.Variables, {
    VERSION: process.env.VERSION,
    DEPLOY_TIME: process.env.DEPLOY_TIME || Date.now(),
    NODE_ENV: process.env.NODE_ENV
  });
  var vars = [];
  for (var k in env) {
    vars.push(k + '="' + env[k] + '"');
  }
  process.stdout.write(vars.join(','));
});